Bug 1297426 - qemu: stack-based buffer overflow in gem_transmit()
qemu: stack-based buffer overflow in gem_transmit()
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160114,repor...
: Security
Depends On:
Blocks: 1297427
  Show dependency treegraph
 
Reported: 2016-01-11 08:37 EST by Martin Prpič
Modified: 2016-04-26 12:08 EDT (History)
30 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 11:14:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (1.01 KB, text/plain)
2016-01-11 08:39 EST, Martin Prpič
no flags Details

  None (edit)
Description Martin Prpič 2016-01-11 08:37:11 EST
A stack-based buffer overflow flaw was found in QEMU's gem_transmit() function.

The gem_transmit() function reads length of packet from physical memory then reads packet from physical memory to tx_packet[2048] with this length. This may result in a buffer overflow if the length of the packet is more than 2048.

Acknowledgements:

Red Hat would like to thank Ling Liu of Qihoo 360 Inc. for reporting this issue.
Comment 1 Martin Prpič 2016-01-11 08:39 EST
Created attachment 1113613 [details]
proposed patch
Comment 2 Prasad J Pandit 2016-01-14 11:12:08 EST
This turned out to be a security non-issue.
  -> https://bugzilla.redhat.com/show_bug.cgi?id=1297427#c3

Note You need to log in before you can comment on or make changes to this bug.